<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/SimCalorimeterHitCollection.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimCalorimeterHitCollection.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_calorimeter_hit_collection_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//AUTOMATICALLY GENERATED - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_SimCalorimeterHitCollection_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_SimCalorimeterHitCollection_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_data_8h.html">eicd/SimCalorimeterHitData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_8h.html">eicd/SimCalorimeterHit.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_obj_8h.html">eicd/SimCalorimeterHitObj.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// podio specific includes</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;podio/ICollectionProvider.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;podio/CollectionBase.h&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;podio/CollectionIDTable.h&quot;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;deque&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;algorithm&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="namespaceeic.html#af9432d095afbe43a1e1b7da738f80ad8">   24</a></span>&#160;<span class="keyword">typedef</span> std::vector&lt;SimCalorimeterHitData&gt; <a class="code" href="namespaceeic.html#af9432d095afbe43a1e1b7da738f80ad8">SimCalorimeterHitDataContainer</a>;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="namespaceeic.html#afac02f68e031b5c9e76e7e3764d9c844">   25</a></span>&#160;<span class="keyword">typedef</span> std::deque&lt;SimCalorimeterHitObj*&gt; <a class="code" href="namespaceeic.html#afac02f68e031b5c9e76e7e3764d9c844">SimCalorimeterHitObjPointerContainer</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">public</span>:</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#aa7e37d7613a25c976b3cdcd71e98e5a9">   30</a></span>&#160;    <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#aa7e37d7613a25c976b3cdcd71e98e5a9">SimCalorimeterHitCollectionIterator</a>(<span class="keywordtype">int</span> index, <span class="keyword">const</span> SimCalorimeterHitObjPointerContainer* collection) : m_index(index), m_object(nullptr), m_collection(collection) {}</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a8eb546d1293cf16a1a76cae60a5b5c44">   32</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a8eb546d1293cf16a1a76cae60a5b5c44">operator!=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a>&amp; x)<span class="keyword"> const </span>{</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;      <span class="keywordflow">return</span> m_index != x.m_index; <span class="comment">//TODO: may not be complete</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    }</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#ac45ef7cee9cab3428b179fd66d167e2f">operator*</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>* <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a1a53f66bb464ccfd7ed782ab2ded8dc7">operator-&gt;</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a76ad87d5101a3085c80b4fab1462ee6a">operator++</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keyword">private</span>:</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">mutable</span> <span class="keywordtype">int</span> m_index;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">mutable</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> m_object;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">const</span> SimCalorimeterHitObjPointerContainer* m_collection;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;};</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html">   50</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a> : <span class="keyword">public</span> podio::CollectionBase {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">   53</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">const_iterator</a>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment">//  SimCalorimeterHitCollection(const SimCalorimeterHitCollection&amp; ) = delete; // deletion doesn&#39;t work w/ ROOT IO ! :-(</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment">//  SimCalorimeterHitCollection(SimCalorimeterHitVector* data, int collectionID);</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  ~<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>();</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keywordtype">void</span> clear() override final;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a179dd787566c78f4b5c038f2d418f0a1">   63</a></span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>* operator-&gt;() { <span class="keywordflow">return</span> (<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>*) <span class="keyword">this</span>; }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> create();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">template</span>&lt;<span class="keyword">typename</span>... Args&gt;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> create(Args&amp;&amp;... args);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordtype">size_t</span> size() <span class="keyword">const</span> <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#af8984434231f303057d91046dc103eef">   77</a></span>&#160;  std::string <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#af8984434231f303057d91046dc103eef">getValueTypeName</a>()<span class="keyword"> const override </span>{ <span class="keywordflow">return</span> std::string(<span class="stringliteral">&quot;eic::SimCalorimeterHit&quot;</span>); }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> operator[](<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> operator[](<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> at(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) <span class="keyword">const</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> at(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="keywordtype">void</span> push_back(<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a> <span class="keywordtype">object</span>);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordtype">void</span> prepareForWrite() <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> prepareAfterRead() <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">void</span> setBuffer(<span class="keywordtype">void</span>* address) <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">bool</span> setReferences(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider) <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a3ba003b64fa9673973efe50140ff96ab">   97</a></span>&#160;  podio::CollRefCollection* <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a3ba003b64fa9673973efe50140ff96ab">referenceCollections</a>() override final { <span class="keywordflow">return</span> &amp;m_refCollections; }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#ac57ddf4cc874633546a52ed4ad35ac15">   99</a></span>&#160;  podio::VectorMembersInfo* <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#ac57ddf4cc874633546a52ed4ad35ac15">vectorMembers</a>()<span class="keyword"> override </span>{ <span class="keywordflow">return</span> &amp;m_vecmem_info; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#ac25c0ee5b08f4dccf7170e206518665d">  101</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#ac25c0ee5b08f4dccf7170e206518665d">setID</a>(<span class="keywordtype">unsigned</span> ID) <span class="keyword">override</span> <span class="keyword">final</span> {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    m_collectionID = ID;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    std::for_each(m_entries.begin(),m_entries.end(),</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                 [ID] (<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>* obj) { obj-&gt;id = {obj-&gt;id.index, <span class="keyword">static_cast&lt;</span><span class="keywordtype">int</span><span class="keyword">&gt;</span>(ID)}; }</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    );</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  };</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a31ddee2b35ca958eab9734493a91853a">  108</a></span>&#160;  <span class="keywordtype">unsigned</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a31ddee2b35ca958eab9734493a91853a">getID</a>() const override final {</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordflow">return</span> m_collectionID;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  }</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a38877552f2392f685044b7b750b75729">  112</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a38877552f2392f685044b7b750b75729">isValid</a>() const override final {</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordflow">return</span> m_isValid;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  }</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="comment">// support for the iterator protocol</span></div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a9cde05f0c9ae5334a7da126a161d1b9c">  117</a></span>&#160;  <span class="keyword">const</span> const_iterator <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a9cde05f0c9ae5334a7da126a161d1b9c">begin</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">return</span> const_iterator(0, &amp;m_entries);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  }</div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#ae1cc2156c45b809122973ab5cf36ef9a">  120</a></span>&#160;  <span class="keyword">const</span> const_iterator <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#ae1cc2156c45b809122973ab5cf36ef9a">end</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keywordflow">return</span> const_iterator(m_entries.size(), &amp;m_entries);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  }</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a413bc8fc5e5e32950c64f3432a1541e4">  125</a></span>&#160;  <span class="keywordtype">void</span>* <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a413bc8fc5e5e32950c64f3432a1541e4">getBufferAddress</a>() override final { <span class="keywordflow">return</span> (<span class="keywordtype">void</span>*)&amp;m_data; }</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2bdb3bb48776c33834699e8f2f1aeed2">  128</a></span>&#160;  std::vector&lt;SimCalorimeterHitData&gt;* <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a2bdb3bb48776c33834699e8f2f1aeed2">_getBuffer</a>() { <span class="keywordflow">return</span> m_data; }</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keyword">const</span> std::array&lt;long long,arraysize&gt; cellID0() <span class="keyword">const</span>;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keyword">const</span> std::array&lt;long long,arraysize&gt; cellID1() <span class="keyword">const</span>;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keyword">const</span> std::array&lt;float,arraysize&gt; energy() <span class="keyword">const</span>;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <span class="keyword">const</span> std::array&lt;float,arraysize&gt; time() <span class="keyword">const</span>;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keyword">const</span> std::array&lt;std::array&lt;float, 3&gt;,arraysize&gt; position() <span class="keyword">const</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keywordtype">bool</span> m_isValid;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <span class="keywordtype">int</span> m_collectionID;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  SimCalorimeterHitObjPointerContainer m_entries;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <span class="comment">// members to handle 1-to-N-relations</span></div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;  <span class="comment">//members to handle vector members</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;  <span class="comment">// members to handle streaming</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  podio::CollRefCollection m_refCollections;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;  podio::VectorMembersInfo m_vecmem_info;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;  SimCalorimeterHitDataContainer* m_data;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;};</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>( std::ostream&amp; o,<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>&amp; v);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span>... Args&gt;</div><div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a7d06c02d6989aae3d09709c0b668aefb">  160</a></span>&#160;<a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>  <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#ab156f24866f474be4c00c320557a219b">SimCalorimeterHitCollection::create</a>(Args&amp;&amp;... args){</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;  <span class="keywordtype">int</span> size = m_entries.size();</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;  <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>({size, m_collectionID}, {args...});</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  m_entries.push_back(obj);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>(obj);</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;}</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00168"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a102ffc7c7df7a7bb484fac7d27cc87bb">  168</a></span>&#160;<span class="keyword">const</span> std::array&lt;long long, arraysize&gt; <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a102ffc7c7df7a7bb484fac7d27cc87bb">SimCalorimeterHitCollection::cellID0</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;  std::array&lt;long long, arraysize&gt; tmp;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i){</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    tmp[i] = m_entries[i]-&gt;data.cellID0;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160; }</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;}</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00177"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1fcf5635e1c3113d034f01b1a01488ae">  177</a></span>&#160;<span class="keyword">const</span> std::array&lt;long long, arraysize&gt; <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1fcf5635e1c3113d034f01b1a01488ae">SimCalorimeterHitCollection::cellID1</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;  std::array&lt;long long, arraysize&gt; tmp;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i){</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    tmp[i] = m_entries[i]-&gt;data.cellID1;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; }</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160; <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;}</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00186"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a477f9443795a3d380506e7ab59f60033">  186</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, arraysize&gt; <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a477f9443795a3d380506e7ab59f60033">SimCalorimeterHitCollection::energy</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;  std::array&lt;float, arraysize&gt; tmp;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i){</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    tmp[i] = m_entries[i]-&gt;data.energy;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160; }</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160; <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;}</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00195"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a89a30657e728a226663d65aa2b617d34">  195</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, arraysize&gt; <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a89a30657e728a226663d65aa2b617d34">SimCalorimeterHitCollection::time</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;  std::array&lt;float, arraysize&gt; tmp;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i){</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    tmp[i] = m_entries[i]-&gt;data.time;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160; }</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160; <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;}</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00204"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#adc7eb5b124cde318a1787a57973eb07f">  204</a></span>&#160;<span class="keyword">const</span> std::array&lt;class std::array&lt;float, 3&gt;, arraysize&gt; <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a797bf5bfe7c34e54373c402c9c47a2a2">SimCalorimeterHitCollection::position</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;  std::array&lt;class std::array&lt;float, 3&gt;, arraysize&gt; tmp;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i){</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    tmp[i] = m_entries[i]-&gt;data.position;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160; }</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160; <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;}</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="namespaceeic_html_afac02f68e031b5c9e76e7e3764d9c844"><div class="ttname"><a href="namespaceeic.html#afac02f68e031b5c9e76e7e3764d9c844">eic::SimCalorimeterHitObjPointerContainer</a></div><div class="ttdeci">std::deque&lt; SimCalorimeterHitObj * &gt; SimCalorimeterHitObjPointerContainer</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00025">SimCalorimeterHitCollection.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a413bc8fc5e5e32950c64f3432a1541e4"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a413bc8fc5e5e32950c64f3432a1541e4">eic::SimCalorimeterHitCollection::getBufferAddress</a></div><div class="ttdeci">void * getBufferAddress() override final</div><div class="ttdoc">returns the address of the pointer to the data buffer </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00125">SimCalorimeterHitCollection.h:125</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a102ffc7c7df7a7bb484fac7d27cc87bb"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a102ffc7c7df7a7bb484fac7d27cc87bb">eic::SimCalorimeterHitCollection::cellID0</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID0() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00168">SimCalorimeterHitCollection.h:168</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_obj_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_obj_8h.html">SimCalorimeterHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_ab156f24866f474be4c00c320557a219b"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#ab156f24866f474be4c00c320557a219b">eic::SimCalorimeterHitCollection::create</a></div><div class="ttdeci">SimCalorimeterHit create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00041">SimCalorimeterHitCollection.cc:41</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a1fcf5635e1c3113d034f01b1a01488ae"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a1fcf5635e1c3113d034f01b1a01488ae">eic::SimCalorimeterHitCollection::cellID1</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID1() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00177">SimCalorimeterHitCollection.h:177</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_af8984434231f303057d91046dc103eef"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#af8984434231f303057d91046dc103eef">eic::SimCalorimeterHitCollection::getValueTypeName</a></div><div class="ttdeci">std::string getValueTypeName() const override</div><div class="ttdoc">fully qualified type name of elements - with namespace </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00077">SimCalorimeterHitCollection.h:77</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_ac25c0ee5b08f4dccf7170e206518665d"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#ac25c0ee5b08f4dccf7170e206518665d">eic::SimCalorimeterHitCollection::setID</a></div><div class="ttdeci">void setID(unsigned ID) override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00101">SimCalorimeterHitCollection.h:101</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_aa7e37d7613a25c976b3cdcd71e98e5a9"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#aa7e37d7613a25c976b3cdcd71e98e5a9">eic::SimCalorimeterHitCollectionIterator::SimCalorimeterHitCollectionIterator</a></div><div class="ttdeci">SimCalorimeterHitCollectionIterator(int index, const SimCalorimeterHitObjPointerContainer *collection)</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00030">SimCalorimeterHitCollection.h:30</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00098">CalorimeterHit.cc:98</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_data_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_data_8h.html">SimCalorimeterHitData.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_obj.html">eic::SimCalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_obj_8h_source.html#l00023">SimCalorimeterHitObj.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_ac57ddf4cc874633546a52ed4ad35ac15"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#ac57ddf4cc874633546a52ed4ad35ac15">eic::SimCalorimeterHitCollection::vectorMembers</a></div><div class="ttdeci">podio::VectorMembersInfo * vectorMembers() override</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00099">SimCalorimeterHitCollection.h:99</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_ac45ef7cee9cab3428b179fd66d167e2f"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#ac45ef7cee9cab3428b179fd66d167e2f">eic::SimCalorimeterHitCollectionIterator::operator*</a></div><div class="ttdeci">const SimCalorimeterHit operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00102">SimCalorimeterHitCollection.cc:102</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_ae1cc2156c45b809122973ab5cf36ef9a"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#ae1cc2156c45b809122973ab5cf36ef9a">eic::SimCalorimeterHitCollection::end</a></div><div class="ttdeci">const const_iterator end() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00120">SimCalorimeterHitCollection.h:120</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a89a30657e728a226663d65aa2b617d34"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a89a30657e728a226663d65aa2b617d34">eic::SimCalorimeterHitCollection::time</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; time() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00195">SimCalorimeterHitCollection.h:195</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_a1a53f66bb464ccfd7ed782ab2ded8dc7"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a1a53f66bb464ccfd7ed782ab2ded8dc7">eic::SimCalorimeterHitCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const SimCalorimeterHit * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00107">SimCalorimeterHitCollection.cc:107</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_8h.html">SimCalorimeterHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a3ba003b64fa9673973efe50140ff96ab"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a3ba003b64fa9673973efe50140ff96ab">eic::SimCalorimeterHitCollection::referenceCollections</a></div><div class="ttdeci">podio::CollRefCollection * referenceCollections() override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00097">SimCalorimeterHitCollection.h:97</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a9cde05f0c9ae5334a7da126a161d1b9c"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a9cde05f0c9ae5334a7da126a161d1b9c">eic::SimCalorimeterHitCollection::begin</a></div><div class="ttdeci">const const_iterator begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00117">SimCalorimeterHitCollection.h:117</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a31ddee2b35ca958eab9734493a91853a"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a31ddee2b35ca958eab9734493a91853a">eic::SimCalorimeterHitCollection::getID</a></div><div class="ttdeci">unsigned getID() const override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00108">SimCalorimeterHitCollection.h:108</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_a76ad87d5101a3085c80b4fab1462ee6a"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a76ad87d5101a3085c80b4fab1462ee6a">eic::SimCalorimeterHitCollectionIterator::operator++</a></div><div class="ttdeci">const SimCalorimeterHitCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00112">SimCalorimeterHitCollection.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">eic::SimCalorimeterHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00027">SimCalorimeterHitCollection.h:27</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html">eic::SimCalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00050">SimCalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a477f9443795a3d380506e7ab59f60033"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a477f9443795a3d380506e7ab59f60033">eic::SimCalorimeterHitCollection::energy</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; energy() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00186">SimCalorimeterHitCollection.h:186</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a2c24a9749774491918efe8bf294011d2"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a2c24a9749774491918efe8bf294011d2">eic::SimCalorimeterHitCollection::const_iterator</a></div><div class="ttdeci">const SimCalorimeterHitCollectionIterator const_iterator</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00053">SimCalorimeterHitCollection.h:53</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a2bdb3bb48776c33834699e8f2f1aeed2"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a2bdb3bb48776c33834699e8f2f1aeed2">eic::SimCalorimeterHitCollection::_getBuffer</a></div><div class="ttdeci">std::vector&lt; SimCalorimeterHitData &gt; * _getBuffer()</div><div class="ttdoc">returns the pointer to the data buffer </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00128">SimCalorimeterHitCollection.h:128</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_a8eb546d1293cf16a1a76cae60a5b5c44"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a8eb546d1293cf16a1a76cae60a5b5c44">eic::SimCalorimeterHitCollectionIterator::operator!=</a></div><div class="ttdeci">bool operator!=(const SimCalorimeterHitCollectionIterator &amp;x) const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00032">SimCalorimeterHitCollection.h:32</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit.html">eic::SimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_8h_source.html#l00029">SimCalorimeterHit.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html">eic::ConstSimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00026">SimCalorimeterHitConst.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a797bf5bfe7c34e54373c402c9c47a2a2"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a797bf5bfe7c34e54373c402c9c47a2a2">eic::SimCalorimeterHitCollection::position</a></div><div class="ttdeci">const std::array&lt; std::array&lt; float, 3 &gt;, arraysize &gt; position() const</div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a38877552f2392f685044b7b750b75729"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a38877552f2392f685044b7b750b75729">eic::SimCalorimeterHitCollection::isValid</a></div><div class="ttdeci">bool isValid() const override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00112">SimCalorimeterHitCollection.h:112</a></div></div>
<div class="ttc" id="namespaceeic_html_af9432d095afbe43a1e1b7da738f80ad8"><div class="ttname"><a href="namespaceeic.html#af9432d095afbe43a1e1b7da738f80ad8">eic::SimCalorimeterHitDataContainer</a></div><div class="ttdeci">std::vector&lt; SimCalorimeterHitData &gt; SimCalorimeterHitDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00024">SimCalorimeterHitCollection.h:24</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
